weka.classifiers.lazy.kstar

## Class KStarCache.TableEntry

- java.lang.Object
- - weka.classifiers.lazy.kstar.KStarCache.TableEntry

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler
  Enclosing class:
    KStarCache

      public class KStarCache.TableEntry
      extends java.lang.Object
      implements java.io.Serializable, RevisionHandler

  Hashtable collision list.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `hash` attribute value hash code
    `double` | `key` attribute value
    `KStarCache.TableEntry` | `next` next table entry (separate chaining)
    `double` | `pmiss` transformation probability to missing value
    `double` | `value` scale factor or stop parameter

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableEntry(int hash, double key, double value, double pmiss, KStarCache.TableEntry next)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### hash

          public int hash

      attribute value hash code

    - #### key

          public double key

      attribute value

    - #### value

          public double value

      scale factor or stop parameter

    - #### pmiss

          public double pmiss

      transformation probability to missing value

    - #### next

          public KStarCache.TableEntry next

      next table entry (separate chaining)

  - ### Constructor Detail

    - #### TableEntry

          public TableEntry(int hash,
                            double key,
                            double value,
                            double pmiss,
                            KStarCache.TableEntry next)

      Constructor

  - ### Method Detail

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision